#include <stdio.h>
#include <rsts.h>
#include <rserr.h>
 
input(line)
char	line[81];		/* The string to fill with the line	*/
/*
 * Read a line from the console, erase cr or lf terminator.
 */
{
	char	*lp;
 
	clrxrb();
	xrb.xrlen = 80;
	xrb.xrloc = line;
	rstsys(_READ);
	for (lp = line + xrb.xrbc - 1; lp >= line &&
			(*lp == '\r' || *lp == '\n' || *lp == 0); lp--);
	*++lp = 0;
	return;
}
